Subject: Re: [bug#78332] [PATCH 1/1] 005-regular-releases: Initial draft of GCD005 'Regular and efficient releases'.

From: Olivier Rojon <[email-masked]>
Date: Thu, 05 Jun 2025 04:22:43 +0000

Hi guys :)

Z572 <[email-masked]> writes:

> Steve George <[email-masked]> writes:
>
>> On  9 May, Z572 wrote:
>>> Steve George <[email-masked]> writes:
>>> 
>>> > +
>>> > +### 8. Breaking changes to staging
>>> > +To avoid a period of time where teams can't commit breaking changes, these are
>>> > +sent to a new 'staging' branch, rather than directly to master.  The master
>>> 
>>> I think we may need to change the name. We used the name staging before
>>> switching to the team-based process. If we reuse this name, it may cause
>>> confusion for later users when searching for information.
>>> 
>>
>> No problem, is there something you would favour?
>>
>> If not, what about `next-master` to indicate that it's the next
>> master? If we think that's too generic we could give it a time-based
>> date `202509-next-master` - meaning it will be merged back in during
>> September 2025.
>
> I don't have any idea, 202509-next-master might be good, I don't know
> what others think

I am in favour of a naming scheme which reflects the time it was created.  It might even
be sufficient to use just a year prefix since we assume there is only one created per year
(per release).

Have a good day :)
Olivier